image: gradle:jdk8

before_script:
- export GRADLE_USER_HOME=`pwd`/.gradle

cache:
  paths:
    - .gradle/wrapper
    - .gradle/caches

package:
  stage: build
  script:
    - ./gradlew assemble
  artifacts:
    name: "$CI_PROJECT_NAME"
    paths:
    - build/libs/*.jar
    expire_in: 1 week

test:
  stage: test
  script:
    - ./gradlew check